apeman-dev-commons-releasing
===========


[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

apeman common module for releasing.


Installation
------------

Install module via [npm][npm_url].

```bash
# Install as local module.
$ npm install apeman-dev-commons-releasing --save
```

Usage
-----

### releaseCommand

Release a package.

```javascript
#!/usr/bin/env node

/**
 * Release this package.
 */

"use strict";

var path = require('path'),
    release = require('apeman-commons-releasing');

var basedir = path.resolve(__dirname, '..');

release([
    "./ci/build.js",
    "git_tag",
    "npm_publish",
    "version_up",
    "git_push"
], {
    basedir: basedir
});
```

License
-------

This software is released under the [MIT License][my_license_url].


Links
-----

+ [apeman][apeman_url]
+ [colorprint](https://www.npmjs.com/package/colorprint)

[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-dev-commons-releasing
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-dev-commons-releasing
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-dev-commons-releasing.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-dev-commons-releasing/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-dev-commons-releasing
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-dev-commons-releasing.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-dev-commons-releasing.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-dev-commons-releasing
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-dev-commons-releasing.svg?style=flat