/**
 * Test case for release.
 * Runs with nodeunit.
 */

var release = require('../lib/release.js'),
    injectmock = require('injectmock');

exports.setUp = function (done) {
    injectmock(process, 'exit', function () {
    });
    done();
};

exports.tearDown = function (done) {
    injectmock.restoreAll();
    done();
};

exports['Do release.'] = function (test) {
    test.ok(release);
    release.done();
    release.done(new Error('foo'));
    test.done();
};
