#!/usr/bin/env node

/**
 * Release this package.
 */

"use strict";

var path = require('path');

var basedir = path.resolve(__dirname, '..'),
    config = require('./configs/release-config'),
    release = require(config['releasing']);

var scripts = config['scripts'].map(function (script) {
    return path.resolve(basedir, release.resolveScript(script));
});

release(scripts, {
    basedir: basedir
});

